<template>
  <div>
    <section class="flex items-center">
      <span
        class="flex justify-center items-center w-7 h-7 rounded-lg text-white p-1"
        :class="{ [iconBackgroundClasses]: true }"
      >
        <v-icon
          :icon="icon"
          size="small"
        />
      </span>

      <span class="flex-auto uppercase text-xl md:text-2xl font-extrabold ml-2 truncate">
        {{ headline }}
      </span>
    </section>

    <span
      v-if="subtitle"
      class="block text-gray-500 pt-1"
    >
      {{ subtitle }}
    </span>
  </div>
</template>

<script setup lang="ts">
import { computed } from 'vue';

type FormHeaderSeverity = 'default' | 'danger';
type FormHeaderProps = {
  icon: string;
  headline: string;
  subtitle?: string;
  severity?: FormHeaderSeverity;
};

const props = defineProps<FormHeaderProps>();

const iconBackgroundClasses = computed(() => {
  if (props.severity === 'danger') {
    return 'bg-gradient-to-br from-amber-400 to-rose-500';
  }

  return 'bg-gradient-to-l from-teal-400 to-cyan-500';
});
</script>